## python-colorama 0.4.3

=== Makefile ===
# Copyright Jonathan Hartley 2013. BSD 3-Clause license, see LICENSE.txt file.

# This makefile is just a cheatsheet to remind me of some commonly used
# commands. I generally am executing these commands on Ubuntu, or on WindowsXP
# with Cygwin binaries at the start of the PATH.

NAME=colorama

help: ## Display help for documented make targets.
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | \
		awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-7s\033[0m %s\n", $$1, $$2}'

clean: ## Remove build artifacts and .pyc files
	-rm -rf build dist MANIFEST colorama.egg-info
	-find . -type f -name '*.py[co]' -delete -o -type d -name __pycache__ -delete
.PHONY: clean

build: clean ## Build an sdist and wheel
	python setup.py sdist bdist_wheel
.PHONY: sdist

upload: ## Upload our sdist and wheel
	twine upload dist/*
.PHONY: release

test: ## Run tests
	python -m unittest discover -p *_test.py
.PHONY: test

tags: ## Create tags file
	ctags -R ${NAME}
.PHONY: tags

## python-colorama 0.2.4

=== debian/changelog ===
python-colorama (0.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh_python2.
    Build-Depend on python (>= 2.6.6-3~) for that.
    Add python:Depends to Depends.
    Closes: #681584

 -- Evgeni Golov <evgeni@debian.org>  Tue, 17 Jul 2012 08:52:08 +0200

python-colorama (0.2.4-1) unstable; urgency=low

  * Initial release (Closes: #662761)

 -- Khalid El Fathi <khalid@elfathi.fr>  Tue, 06 Mar 2012 14:43:32 +0100

=== debian/control ===
Source: python-colorama
Section: python
Priority: optional
Maintainer: Khalid El Fathi <khalid@elfathi.fr>
Build-Depends: debhelper (>= 9.0.0), python (>= 2.6.6-3~)
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/colorama/
Vcs-Git: git://git.debian.org/collab-maint/python-colorama.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-colorama.git;a=summary
X-Python-Version: >= 2.5

Package: python-colorama
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Cross-platform colored terminal text in Python
 Python-colorama provides a simple cross-platform API to print colored terminal
 text from Python applications.
 .
 ANSI escape character sequences are commonly used to produce colored terminal
 text on Unix. Colorama provides some shortcuts to generate these sequences.
 .
 This has the happy side-effect that existing applications or libraries which
 already use ANSI sequences to produce colored output on Linux.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with=python2

override_dh_installexamples:
	cp -r $(CURDIR)/demos/* $(CURDIR)/debian/python-colorama/usr/share/doc/python-colorama/examples/
	rm $(CURDIR)/debian/python-colorama/usr/share/doc/python-colorama/examples/*.bat

## python-colorama 0.2.5

=== debian/changelog ===
python-colorama (0.2.5-0.1ubuntu2) trusty-proposed; urgency=medium

  * SRU, update python3.4 for trusty. LP: #1433324.
  * Build a python-colorama-whl package (using setuptools).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Mar 2015 23:57:24 +0100

python-colorama (0.2.5-0.1ubuntu1) trusty; urgency=medium

  * Build-depend on python3-all.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 16:31:14 +0100

python-colorama (0.2.5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #704892).
  * Added support for python3 (Closes: #717789, #704893), and include the
    corresponding python3 and python3-setuptools build-depends.
  * Added missing build-depends: python{3,}-setuptools.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2013 14:41:38 +0800

=== debian/control ===
Source: python-colorama
Section: python
Priority: optional
Maintainer: Khalid El Fathi <khalid@elfathi.fr>
Build-Depends: debhelper (>= 9.0.0),
               python (>= 2.6.6-3~),
               python-setuptools,
               python3,
               python3-all,
               python3-setuptools,
               python3-wheel
Standards-Version: 3.9.5
Homepage: http://pypi.python.org/pypi/colorama/
Vcs-Git: git://git.debian.org/collab-maint/python-colorama.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-colorama.git;a=summary
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.3

Package: python-colorama
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Cross-platform colored terminal text in Python - Python 2.x
 Python-colorama provides a simple cross-platform API to print colored terminal
 text from Python applications.
 .
 ANSI escape character sequences are commonly used to produce colored terminal
 text on Unix. Colorama provides some shortcuts to generate these sequences.
 .
 This has the happy side-effect that existing applications or libraries which
 already use ANSI sequences to produce colored output on Linux.
 .
 This package provides the module for Python 2.x.

Package: python3-colorama
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Cross-platform colored terminal text in Python - Python 3.x
 Python-colorama provides a simple cross-platform API to print colored terminal
 text from Python applications.
 .
 ANSI escape character sequences are commonly used to produce colored terminal
 text on Unix. Colorama provides some shortcuts to generate these sequences.
 .
 This has the happy side-effect that existing applications or libraries which
 already use ANSI sequences to produce colored output on Linux.
 .
 This package provides the module for Python 2.x.

Package: python-colorama-whl
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Cross-platform colored terminal text in Python - Wheels
 Python-colorama provides a simple cross-platform API to print colored terminal
 text from Python applications.
 .
 ANSI escape character sequences are commonly used to produce colored terminal
 text on Unix. Colorama provides some shortcuts to generate these sequences.
 .
 This has the happy side-effect that existing applications or libraries which
 already use ANSI sequences to produce colored output on Linux.
 .
 This package provides the universal wheels.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_installexamples:
	cp -r $(CURDIR)/demos/* $(CURDIR)/debian/python-colorama/usr/share/doc/python-colorama/examples/
	rm $(CURDIR)/debian/python-colorama/usr/share/doc/python-colorama/examples/*.bat

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-colorama; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-colorama; \
	done
	mkdir -p $(CURDIR)/debian/tmp/usr/share/python-wheels
	USE_SETUPTOOLS=yes python3 setup.py bdist_wheel \
		--universal \
		-d $(CURDIR)/debian/tmp/usr/share/python-wheels

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/c/colorama/colorama-(.*)\.tar\.gz

## python-colorama 0.3.1

=== debian/changelog ===
python-colorama (0.3.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * d/control:
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
    - Added X-Python3-Version header.
    - Added python3-wheel to Build-Depends.
    - Added the python-colorama-whl binary package. (Closes: #748797)
  * d/rules: Build the universal wheel.
  * d/python-colorama-whl.install: Added.

 -- Barry Warsaw <barry@debian.org>  Tue, 20 May 2014 18:16:57 -0400

python-colorama (0.2.5-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on python3-all to avoid FTBFS (Closes: #743101)

 -- David Prévot <taffit@debian.org>  Sat, 12 Apr 2014 15:26:28 -0400

## python-colorama 0.3.2

=== debian/changelog ===
python-colorama (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/docs: Updated.

 -- Barry Warsaw <barry@debian.org>  Fri, 12 Sep 2014 18:57:29 -0400

python-colorama (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * d/control:
    - With permission of the MIA team, added DPMT to Uploaders.
    - Added XS-Testsuite header.
  * d/tests: Added DEP-8 tests.

 -- Barry Warsaw <barry@debian.org>  Tue, 02 Sep 2014 20:08:11 -0400

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Khalid El Fathi <khalid@elfathi.fr>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                python (>= 2.6.6-3~),
                python-setuptools,
@@ -15,6 +16,7 @@
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-colorama.git;a=summary
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
+XS-Testsuite: autopkgtest
 
 Package: python-colorama
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 			--root $(CURDIR)/debian/python3-colorama; \
 	done
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/python-wheels
-	USE_SETUPTOOLS=yes python3 setup.py bdist_wheel \
+	python3 setup.py bdist_wheel \
 		--universal \
 		-d $(CURDIR)/debian/tmp/usr/share/python-wheels

## python-colorama 0.3.3

=== debian/changelog ===
python-colorama (0.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control: Bump Standards-Version to 3.9.6
  * d/watch: Use pypi.debian.net mirror.

 -- Barry Warsaw <barry@debian.org>  Fri, 01 May 2015 11:29:19 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-all,
                python3-setuptools,
                python3-wheel
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pypi.python.org/pypi/colorama/
 Vcs-Git: git://git.debian.org/collab-maint/python-colorama.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-colorama.git;a=summary

=== debian/tests/control ===
Tests: smoketest-2
Depends: python-colorama

Tests: smoketest-3
Depends: python3-colorama

Tests: smoketest-whl
Depends: python-colorama-whl

## python-colorama 0.3.7

=== debian/changelog ===
python-colorama (0.3.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control: Bump Standards-Version to 3.9.7 with no other changes needed.

 -- Barry Warsaw <barry@debian.org>  Tue, 08 Mar 2016 13:11:33 -0500

python-colorama (0.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control:
    - Fix long description for python3-colorama (Closes: #810541)
    - Remove python-colorama-whl binary package as it's no longer needed.
    - Remove python3-wheel from, and add dh-python to, Build-Depends.
    - Remove unnecessary XS-Testsuite field.
    - Bump X-Python-Version to 2.7 and X-Python3-Version to 3.4.
  * d/python-colorama-whl.install: Removed.
  * d/rules:
    - Convert to --buildsystem=pybuild.
    - Remove override_dh_auto_install and override_dh_clean.
  * d/tests:
    - control: Simplify by using Test-Command fields for the smoke tests.
    - smoketest-{2,3,whl}: Removed.

 -- Barry Warsaw <barry@debian.org>  Tue, 09 Feb 2016 11:39:08 -0500

=== debian/control ===
Source: python-colorama
Section: python
Priority: optional
Maintainer: Khalid El Fathi <khalid@elfathi.fr>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python (>= 2.6.6-3~),
               python-setuptools,
               python3,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.7
Homepage: http://pypi.python.org/pypi/colorama/
Vcs-Git: git://git.debian.org/collab-maint/python-colorama.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-colorama.git;a=summary
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-colorama
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Cross-platform colored terminal text in Python - Python 2.x
 Python-colorama provides a simple cross-platform API to print colored terminal
 text from Python applications.
 .
 ANSI escape character sequences are commonly used to produce colored terminal
 text on Unix. Colorama provides some shortcuts to generate these sequences.
 .
 This has the happy side-effect that existing applications or libraries which
 already use ANSI sequences to produce colored output on Linux.
 .
 This package provides the module for Python 2.

Package: python3-colorama
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Cross-platform colored terminal text in Python - Python 3.x
 Python-colorama provides a simple cross-platform API to print colored terminal
 text from Python applications.
 .
 ANSI escape character sequences are commonly used to produce colored terminal
 text on Unix. Colorama provides some shortcuts to generate these sequences.
 .
 This has the happy side-effect that existing applications or libraries which
 already use ANSI sequences to produce colored output on Linux.
 .
 This package provides the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=colorama

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_installexamples:
	cp -r $(CURDIR)/demos/* $(CURDIR)/debian/python-colorama/usr/share/doc/python-colorama/examples/
	rm $(CURDIR)/debian/python-colorama/usr/share/doc/python-colorama/examples/*.bat

=== debian/tests/control ===
Test-Command: python -c "import colorama; print colorama.__version__"

Test-Command: python3 -c "import colorama; print(colorama.__version__)"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/colorama/colorama-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-colorama 0.4.3

=== debian/changelog ===
python-colorama (0.4.3-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:52:47 +0000

python-colorama (0.4.3-1) unstable; urgency=medium

  * New upstream version.
  * Add/update Vcs fields.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 10 Dec 2019 12:26:52 +0100

python-colorama (0.4.1-1) unstable; urgency=medium

  * New upstream version. (Closes: #914689)
  * Bump standards version to 4.4.0.
  * Bump debhelper version to 11.
  * d/clean: added.
  * d/control
    - drop python2 support. (Closes: #937655)
    - drop Khalid El Fathi from Maintainers, and add myself.
      (Closes: #858658)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 03 Oct 2019 12:21:54 +0200

=== debian/control ===
Source: python-colorama
Section: python
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3,
               python3-all,
               python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://github.com/tartley/colorama
Vcs-Git: https://salsa.debian.org/python-team/modules/python-colorama.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-colorama
X-Python3-Version: >= 3.6

Package: python3-colorama
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Cross-platform colored terminal text in Python - Python 3.x
 Python-colorama provides a simple cross-platform API to print colored terminal
 text from Python applications.
 .
 ANSI escape character sequences are commonly used to produce colored terminal
 text on Unix. Colorama provides some shortcuts to generate these sequences.
 .
 This has the happy side-effect that existing applications or libraries which
 already use ANSI sequences to produce colored output on Linux.
 .
 This package provides the module for Python 3.

## python-colorama 0.4.4

=== Makefile ===
# Copyright Jonathan Hartley 2013. BSD 3-Clause license, see LICENSE.txt file.

# This makefile is just a cheatsheet to remind me of some commonly used
# commands. I generally am executing these commands on Ubuntu, or on WindowsXP
# with Cygwin binaries at the start of the PATH.

NAME=colorama

help: ## Display help for documented make targets.
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | \
		awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-7s\033[0m %s\n", $$1, $$2}'


# bootstrap environment

virtualenv=~/.virtualenvs/colorama
pip=$(virtualenv)/bin/pip
syspython=python3.8
python=$(virtualenv)/bin/python
twine=$(virtualenv)/bin/twine
version=$(shell $(python) setup.py --version)

clean: ## Remove build artifacts, .pyc files, virtualenv
	-rm -rf build dist MANIFEST colorama.egg-info $(virtualenv)
	-find . -type f -name '*.py[co]' -delete -o -type d -name __pycache__ -delete
.PHONY: clean

$(virtualenv):
	$(syspython) -m venv --clear $(virtualenv)
	$(pip) install --upgrade pip

venv: $(virtualenv) ## Create or clear a virtualenv
.PHONY: venv

bootstrap: venv ## Populate the virtualenv
	$(pip) install -r requirements.txt -r requirements-dev.txt
.PHONY: bootstrap


# development

tags: ## Create tags file
	ctags -R ${NAME}
.PHONY: tags

test: ## Run tests
	$(python) -m unittest discover -p *_test.py
.PHONY: test


# build packages

build: ## Build an sdist and wheel
	$(python) -m pip install --upgrade setuptools wheel
	$(python) setup.py sdist bdist_wheel
.PHONY: sdist

test-release: build
	./test-release
.PHONY: test-release

release: ## Upload our sdist and wheel
	$(twine) upload dist/colorama-$(version)-*
.PHONY: release

=== debian/changelog ===
python-colorama (0.4.4-1) unstable; urgency=medium

  [ Gürkan Myczko ]
  * New upstream version.
  * Bump standards version to 4.5.0.
  * d/copyright:
    - update years, add myself
    - add Upstream-Contact
    - add missing Arnon Yaari
  * d/control:
    - update team maintainer address.
    - add Rules-Requires-Root.
  * d/u/metadata: added.
  * d/README.Debian: use https protocol.
  * d/examples: renamed to python3-colorama.examples.
  * d/dirs: dropped.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * d/watch: Use https protocol.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 23 Oct 2020 11:34:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/tartley/colorama
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-colorama.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-colorama
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-colorama.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-colorama
 X-Python3-Version: >= 3.6
 
 Package: python3-colorama

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=colorama

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -c "import colorama; print(colorama.__version__)"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/colorama/colorama-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-colorama 0.4.5

=== debian/changelog ===
python-colorama (0.4.5-2) unstable; urgency=medium

  * autopkgtest: more tests, mark previous one superficial (Closes: #974475)
  * d/control: delete senseless phrase in description (Closes: #850526)
  * d/control files: wrap-and-sort
  * Move maintainer to DPT, add myself as Uploader
  * d/control: remove X-Python3-Version
  * d/watch: update to v4

 -- Agathe Porte <debian@microjoe.org>  Wed, 17 Aug 2022 14:02:07 +0200

python-colorama (0.4.5-1) unstable; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * Bump standards version to 4.6.1.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Fri, 17 Jun 2022 11:53:51 +0200

=== debian/control ===
Source: python-colorama
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Agathe Porte <debian@microjoe.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/tartley/colorama
Vcs-Git: https://salsa.debian.org/python-team/packages/python-colorama.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-colorama

Package: python3-colorama
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Cross-platform colored terminal text in Python - Python 3.x
 Python-colorama provides a simple cross-platform API to print colored terminal
 text from Python applications.
 .
 ANSI escape character sequences are commonly used to produce colored terminal
 text on Unix. Colorama provides some shortcuts to generate these sequences.
 .
 This package provides the module for Python 3.

=== debian/tests/control ===
Tests: run-demos
Depends:
 python3-all,
 @,

Test-Command: python3 -c "import colorama; print(colorama.__version__)"
Restrictions: superficial

## python-colorama 0.4.6

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,9 @@
 
 virtualenv=~/.virtualenvs/colorama
 pip=$(virtualenv)/bin/pip
-syspython=python3.8
+syspython=python3
 python=$(virtualenv)/bin/python
 twine=$(virtualenv)/bin/twine
-version=$(shell $(python) setup.py --version)
 
 clean: ## Remove build artifacts, .pyc files, virtualenv
 	-rm -rf build dist MANIFEST colorama.egg-info $(virtualenv)
@@ -50,16 +49,14 @@
 
 # build packages
 
-build: ## Build an sdist and wheel
-	$(python) -m pip install --upgrade setuptools wheel
-	$(python) setup.py sdist bdist_wheel
-.PHONY: sdist
+build: ## Build a release (sdist and wheel)
+	$(python) -m build
+.PHONY: build
 
-test-release: build
+test-release: build ## Test a built release
 	./test-release
 .PHONY: test-release
 
-release: ## Upload our sdist and wheel
-	$(twine) upload dist/colorama-$(version)-*
+release: ## Upload a built release
+	$(twine) upload dist/colorama-*
 .PHONY: release
-

=== debian/changelog ===
python-colorama (0.4.6-4) unstable; urgency=medium

  * Team upload.

  [ Ileana Dumitrescu ]
  * d/control: Add myself to the uploaders field.

 -- Agathe Porte <gagath@debian.org>  Thu, 31 Aug 2023 10:06:28 +0200

python-colorama (0.4.6-3) unstable; urgency=medium

  * Team upload.
  * demos: Use patch instead of sed (Closes: #1047808)
  * Update Standards-Version to 4.6.2 (no change)
  * Package is only team-maintained

 -- Agathe Porte <gagath@debian.org>  Sat, 26 Aug 2023 13:06:03 +0200

python-colorama (0.4.6-2) unstable; urgency=medium

  * Team upload
  * d/rules: Run dh_auto_build after shebang fixes
  * autopkgtest: Don't set a local PYTHONPATH in upstream test

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 04 Dec 2022 23:44:42 +0100

python-colorama (0.4.6-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Add basic default configuration
  * New upstream version 0.4.6
    (Closes: #826142)
  * d/control: Update and switch build dependencies
    Upstream uses now the hatchling backend instead of setuptools.
    For package build depend on dh-sequence-python3.
  * d/rules: Drop --with option within default target
  * d/README.source: Adding basic information about source
  * d/python3-colorama.docs: Renamed from docs
    As *.examples was already used do the same for *.docs.
  * d/control: Add pytest for running internal tests
  * d/rules: Run the upstream tests while package build
  * d/rules: Fix shebang in demo *.py files before build
  * autopkgtest: Add internal tests to package testings
  * autopkgtest: Use PYTHONPATH for run-demos

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 04 Dec 2022 09:01:00 +0100

python-colorama (0.4.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:00:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Agathe Porte <debian@microjoe.org>,
+Uploaders: Ileana Dumitrescu <ileanadumitrescu95@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3,
  python3-all,
- python3-setuptools,
-Standards-Version: 4.6.1
+ python3-hatchling,
+ python3-pytest,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/tartley/colorama
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-colorama.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=colorama

%:
	dh $@ --buildsystem=pybuild


override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest -v colorama/tests"

=== debian/tests/control ===
--- 
+++ 
@@ -5,3 +5,10 @@
 
 Test-Command: python3 -c "import colorama; print(colorama.__version__)"
 Restrictions: superficial
+
+Tests: upstream
+Depends:
+ python3-all,
+ python3-pytest,
+ @,
+Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="pgpmode=none" \
https://github.com/tartley/colorama/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
